Bug Hunting Session
Bug 66924 - Editing master-pages is broken
Summary: Editing master-pages is broken
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.1.0.2 rc
Hardware: Other All
: highest critical
Assignee: Caolán McNamara
URL:
Whiteboard: target:4.2.0 target:4.1.0
Keywords: bibisected, regression
Depends on:
Blocks: mab4.1
  Show dependency treegraph
 
Reported: 2013-07-15 13:06 UTC by Michael Meeks
Modified: 2015-12-17 07:16 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
sample slides. (1.77 MB, application/vnd.oasis.opendocument.presentation)
2013-07-15 13:07 UTC, Michael Meeks
Details
partial revert (1.46 KB, patch)
2013-07-18 13:01 UTC, Caolán McNamara
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Meeks 2013-07-15 13:06:58 UTC
I load the attached slide deck, switch to master page view; select slide 2 in the left-hand slide sorter and try to delete the creative-commons picture.

As soon as I try to select in the items on that page, I switch (as if by magic) to slide 1 - and the images disappear; that looks pretty odd to me.
Comment 1 Michael Meeks 2013-07-15 13:07:23 UTC
Created attachment 82444 [details]
sample slides.
Comment 2 Petr Mladek 2013-07-16 17:22:19 UTC
I see it the build from 4-1-0 branch as well.

Thorsten, Muthu, could you please have a look, ASAP?

I am not sure whether we should block the 4.1.0 release because of this. It is impossible to edit master slide because it does not stay in the master page view. On the other hand, it probably does not cause any data loss.
Comment 3 Jean-Baptiste Faure 2013-07-17 04:54:11 UTC
In fact it seems that it very difficult to leave to master mode: if you close the master view and choose to edit another slide, you go back in the master view.
You need to close the master view at least two times before being able to edit the slide.
I get the same behavior with and without the sidebar.
Version tested : Version: 4.1.1.0.0+ (Build ID: 48bcea3710f14091e2e4fd078a31f278bce0c19)

Best regards. JBF
Comment 4 Petr Mladek 2013-07-17 08:56:13 UTC
I did some more testing and here is my observation:

       + I am able to edit the first master slide in any presentation

       + I am NOT able to edit the other master slides if I choose them using the left hand
          slide sorter. If I click anywhere in the other master slide it jumps back to
          the previously edited slide; it means:
 
               + it jumps back to the first master slide if you did some editing before

               + it even leaves the "master view" and jumps back to the "normal view" if you did not
                  not do anything else before (did not edit 1st master slide; did not edit other slides in
                  the normal view

          A workaround seems to be to click on the first master slide in the central edit window and 
          navigate to the other master slide using the [Pgdn] button. Then I am able to edit them.


       + I have troubles to leave the "master view". If I edit a master slide, leave the "master view" 
          and try to edit the real slide, it jumps back to the "master view".

          A workaround is to close the "mast view" once again; then it stays in the normal view.


       + IMPORTANT: I see these problems only with more master slides. I do not see them
          in presentations with only single master slide
Comment 5 Petr Mladek 2013-07-17 09:49:41 UTC
This bug is nasty but it affects only power users who could use the workarounds or wait for a bugfix release. We need to fix this for 4.1.1 but I would not block the 4.1.0 release because of this.

I have mentioned it at https://wiki.documentfoundation.org/ReleaseNotes/4.1#Most_Annoying_Bugs.
I am going to increase the priority but lower the severity to critical.
Comment 6 Petr Mladek 2013-07-17 14:45:34 UTC
It seems that David reset priority and severity to the older values when adding himself to CC :-)
Comment 7 David Tardon 2013-07-18 11:28:23 UTC
bibisect log:

# bad: [4118d739dbd71e16057ea926ef3ef696025d3b67] source-hash-5bd6a5110bb812f82a81e73422a7b14851f84441
# good: [68ce28f8d3ca05b1329580ed9f3e6ba0c82fbb26] source-hash-9f0f289c51765c671cbc8ef317c81e6fa42c6718
git bisect start 'master' 'latest'
# good: [e877ef94e2df78928f4c2af3ba7c99657f4f1886] source-hash-e46564a0a6a74da90785a1b910d33e2b5bfdcfd9
git bisect good e877ef94e2df78928f4c2af3ba7c99657f4f1886
# skip: [d43a96e8f17f73bd4be6af586132358d2883500f] source-hash-b2d08d759ee755cb5722553e01fb6d007ac9ffbe
git bisect skip d43a96e8f17f73bd4be6af586132358d2883500f
# skip: [05028c83ffea91506baec9829872a8bfa72a4e40] source-hash-59db0cb6752f269893e2697bf561643aec92bdf1
git bisect skip 05028c83ffea91506baec9829872a8bfa72a4e40
# bad: [700dad893e4ac8f865dfc7a047022f3e1b0bd3c1] source-hash-20e1181461adaae3289a5ef943ec5c4b75cc1570
git bisect bad 700dad893e4ac8f865dfc7a047022f3e1b0bd3c1
# good: [556e6277d7ae436a4bee1d8f9760b5238b8932b4] source-hash-d89012691b53def37118b0d892b50476d4e987b7
git bisect good 556e6277d7ae436a4bee1d8f9760b5238b8932b4
# bad: [78e8a3ced23d601da8a2357daf03a3e8f22c16a6] source-hash-1fadebef054b811d8d6487d45d76dea1990e1268
git bisect bad 78e8a3ced23d601da8a2357daf03a3e8f22c16a6
# good: [850682b3d95da8ae1a599c1a5e9064a480d13d76] source-hash-0314533d3ba5a2601bc18037c4a1fbc6a54910d3
git bisect good 850682b3d95da8ae1a599c1a5e9064a480d13d76
# skip: [51f094cf62f3f4b4f68f9c77f052d896a97e04e6] source-hash-0143805a565418d2a114c16b7eeba3b784176d9e
git bisect skip 51f094cf62f3f4b4f68f9c77f052d896a97e04e6
# good: [c648b138202c9f97ac5ca8b39e08117486839adf] source-hash-cdad97557a729ecbbe0236f7998647c5249a005f
git bisect good c648b138202c9f97ac5ca8b39e08117486839adf
# bad: [790409f95b1bc4fc76e1e78c1395ed692a184ca8] source-hash-5dc41015ed10d4b4bd0eaa59e8cd6c0b1b96cc04
git bisect bad 790409f95b1bc4fc76e1e78c1395ed692a184ca8
# good: [0ab93000f1bffa3fa728fc7a673b722277b1b241] source-hash-08bb8fca4144608237418d64b1479840c408256f
git bisect good 0ab93000f1bffa3fa728fc7a673b722277b1b241
# only skipped commits left to test
# possible first bad commit: [790409f95b1bc4fc76e1e78c1395ed692a184ca8] source-hash-5dc41015ed10d4b4bd0eaa59e8cd6c0b1b96cc04
# possible first bad commit: [05028c83ffea91506baec9829872a8bfa72a4e40] source-hash-59db0cb6752f269893e2697bf561643aec92bdf1
# possible first bad commit: [d43a96e8f17f73bd4be6af586132358d2883500f] source-hash-b2d08d759ee755cb5722553e01fb6d007ac9ffbe
# possible first bad commit: [51f094cf62f3f4b4f68f9c77f052d896a97e04e6] source-hash-0143805a565418d2a114c16b7eeba3b784176d9e

Most probable cause is commit 0143805a565418d2a114c16b7eeba3b784176d9e .
Comment 8 David Tardon 2013-07-18 12:10:09 UTC
right, it is 0143805a565418d2a114c16b7eeba3b784176d9e
Comment 9 Caolán McNamara 2013-07-18 13:01:39 UTC
Created attachment 82596 [details]
partial revert

This makes it work again. base class ::Activate/::DeActivate calls SfxShell::BroadcastContextForActivation so remove the explicit calls to that from sd and revert back to calling the base one which does that. There must be something that depends on the original behaviour
Comment 10 Commit Notification 2013-07-18 13:41:56 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4a578dc9c7b9c5697f624807790565c99ccb919d

Resolves: fdo#66924 switching to master view is broken



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2013-07-19 07:55:01 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=07cd8dd444620012d843b785c2243029a6d99944&h=libreoffice-4-1

Resolves: fdo#66924 switching to master view is broken


It will be available in LibreOffice 4.1.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2013-07-22 09:46:08 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-1-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e5726f0578223cdd2b706c73be931364c57d477c&h=libreoffice-4-1-0

Resolves: fdo#66924 switching to master view is broken


It will be available already in LibreOffice 4.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2013-07-22 09:46:27 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-4-1-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4326872e510941595f0682b6b6330d480d3e6150&h=libreoffice-4-1-0

Partially revert "Resolves: fdo#66924 switching to master view is broken"


It will be available already in LibreOffice 4.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 14 Michael Meeks 2013-07-22 09:59:21 UTC
This makes the non-sidebar master view editing work beautifully. I wonder though - if you select text with the sidebar showing, and (eg.) use the drop-down button for underline style, there is some 'orrible focus foo going on between the sidebar and the document - such that the popup doesn't stay popped-up but gets confused.

Then again - perhaps that's completely unrelated - thanks for the fix ! :-)
Comment 15 Caolán McNamara 2013-07-25 13:08:39 UTC
focus foo problem wrt to drop down in sidebar underline exists with/without this patch, so appears unrelated. I would *expect* the code changed here to only affect things when switching slides/slide views.

File a new bug ?, and/or find that widget and tweak its WinBits to be more like the WinBits of the working dropdown of the fontcolor widget.
Comment 16 Commit Notification 2013-10-02 15:20:06 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9fec7c4e0d4fb4cf660d6304f8e11e47077f9ffa

Revert "Resolves: fdo#66924 switching to master view is broken"



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 17 Robinson Tryon (qubit) 2015-12-17 07:16:15 UTC
Migrating Whiteboard tags to Keywords: (bibisected)
[NinjaEdit]